commit:     767397997ba1a39438502ce10f94520ebf1a4420
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 15 20:21:17 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun 15 20:24:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76739799

dev-ruby/fxruby: add 1.6.34

Package-Manager: portage-2.2.28

 dev-ruby/fxruby/Manifest             |  1 +
 dev-ruby/fxruby/fxruby-1.6.34.ebuild | 79 ++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-ruby/fxruby/Manifest b/dev-ruby/fxruby/Manifest
index 33f2773..e600eb7 100644
--- a/dev-ruby/fxruby/Manifest
+++ b/dev-ruby/fxruby/Manifest
@@ -1 +1,2 @@
 DIST fxruby-1.6.29.gem 1894400 SHA256 
d6e81d984a27e9abb9f51097a796b0d082ef08d186d2da8e1b948125a9ddb22e SHA512 
5438ae48b1e95ef1247c214d44a8334ce54fd8396a7348de4796ab309a554014bd4f82e4a738d9192fe792d4decb91118f66e11e68e38d4a0620be33258b1823
 WHIRLPOOL 
5cf110f5a7c70ab14c047fb47a2554706adbf978faa46fec625f74651e3397b724e35c8dd805aae20884c826bc9bb17a82bd1891c21a1c08830135bac0602fe2
+DIST fxruby-1.6.34.gem 1899008 SHA256 
df9de29be580be2b4c59f7e77ec3c65c88eb94ef1536e3a0d421330d80abd44b SHA512 
33b2a53c2cacd9fabdc7dd4e3b0db99c4eb2bd1380bf10b5e98bd923d30d2d64bc340cf4bccb4a0b33e87075529a532590e07115d44164a90e273c942dab8d3c
 WHIRLPOOL 
99f13cc19804e46ce19ef221beea1b18e07be814e794bb5169912cb9a8df8d95c715f6e0487989c45d83eeab56f340f064cc729b0c63098a01b6e5cc823483d1

diff --git a/dev-ruby/fxruby/fxruby-1.6.34.ebuild 
b/dev-ruby/fxruby/fxruby-1.6.34.ebuild
new file mode 100644
index 0000000..4516910
--- /dev/null
+++ b/dev-ruby/fxruby/fxruby-1.6.34.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+# ruby22 -> fails tests
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_NAME="fxruby"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="History.txt index.html README.rdoc TODO"
+
+inherit multilib virtualx ruby-fakegem toolchain-funcs
+
+DESCRIPTION="Ruby language binding to the FOX GUI toolkit"
+HOMEPAGE="http://www.fxruby.org/";
+
+LICENSE="LGPL-2.1"
+SLOT="1.6"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="examples doc"
+
+CDEPEND="x11-libs/fox:1.6 >=x11-libs/fxscintilla-1.62-r1"
+DEPEND="${DEPEND} ${CDEPEND} dev-lang/swig"
+RDEPEND="${RDEPEND} ${CDEPEND}"
+
+ruby_add_bdepend "test? ( dev-ruby/ruby-opengl )"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
+
+all_ruby_prepare() {
+       sed -i -e '/\[:compile\]/d' Rakefile || die
+       einfo "Avoid -O0 builds"
+       sed -i -e 's:-O0 -I:-I:' \
+               ext/fox16_c/extconf.rb || die "Can't fix forced -O0"
+
+       # Avoid mini-portile for building since this is only really used for 
Windows builds
+       sed -i -e '/mini_portile/ s:^:#:' \
+               -e '/MiniPortile/,/^end/ s:^:#:' \
+               ext/fox16_c/extconf.rb || die
+
+       # Remove failing tests. We did not run tests before so this is not a
+       # regression for now.
+       rm -f test/TC_{FXApp,FXMainWindow}.rb || die
+}
+
+each_ruby_configure() {
+       ${RUBY} -Cext/fox16_c extconf.rb || die
+}
+
+each_ruby_compile() {
+       CXX=$(tc-getCXX) emake V=1 -Cext/fox16_c || die
+       cp ext/fox16_c/fox16_c$(get_modname) lib/ || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       rdoc --main rdoc-sources/README.rdoc --exclude ext/fox16_c --exclude 
"/aliases|kwargs|missingdep|responder/" || die
+}
+
+each_ruby_test() {
+       VIRTUALX_COMMAND=${RUBY} virtualmake -S testrb -Ilib test/TC_*.rb || die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       if use examples; then
+               for dir in sample samples example examples; do
+                       if [ -d ${dir} ] ; then
+                               dodir /usr/share/doc/${PF}
+                               cp -pPR ${dir} "${D}"/usr/share/doc/${PF} || 
die "cp failed"
+                       fi
+               done
+       fi
+}

Reply via email to